package ctbrec.ui.sites.xlovecam;

import java.io.IOException;

import ctbrec.sites.xlovecam.XloveCam;
import ctbrec.ui.sites.AbstractSiteUi;
import ctbrec.ui.sites.ConfigUI;
import ctbrec.ui.tabs.TabProvider;

public class XloveCamSiteUi extends AbstractSiteUi {

    private final XloveCamTabProvider tabProvider;
    private final XloveCam site;

    public XloveCamSiteUi(XloveCam xloveCam) {
        this.site = xloveCam;
        tabProvider = new XloveCamTabProvider(xloveCam);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return null;
    }

    @Override
    public synchronized boolean login() throws IOException {
        return site.getHttpClient().login();
    }
}
